// Code generated by protoc-gen-go. DO NOT EDIT.
// source: blockchain_command.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type RegisterNodeRequest struct {
	ChainID              string   `protobuf:"bytes,1,opt,name=ChainID,proto3" json:"ChainID,omitempty"`
	Host                 string   `protobuf:"bytes,2,opt,name=Host,proto3" json:"Host,omitempty"`
	Port                 uint64   `protobuf:"varint,3,opt,name=Port,proto3" json:"Port,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RegisterNodeRequest) Reset()         { *m = RegisterNodeRequest{} }
func (m *RegisterNodeRequest) String() string { return proto.CompactTextString(m) }
func (*RegisterNodeRequest) ProtoMessage()    {}
func (*RegisterNodeRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_6228afc56cb3da4c, []int{0}
}

func (m *RegisterNodeRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RegisterNodeRequest.Unmarshal(m, b)
}
func (m *RegisterNodeRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RegisterNodeRequest.Marshal(b, m, deterministic)
}
func (m *RegisterNodeRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RegisterNodeRequest.Merge(m, src)
}
func (m *RegisterNodeRequest) XXX_Size() int {
	return xxx_messageInfo_RegisterNodeRequest.Size(m)
}
func (m *RegisterNodeRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_RegisterNodeRequest.DiscardUnknown(m)
}

var xxx_messageInfo_RegisterNodeRequest proto.InternalMessageInfo

func (m *RegisterNodeRequest) GetChainID() string {
	if m != nil {
		return m.ChainID
	}
	return ""
}

func (m *RegisterNodeRequest) GetHost() string {
	if m != nil {
		return m.Host
	}
	return ""
}

func (m *RegisterNodeRequest) GetPort() uint64 {
	if m != nil {
		return m.Port
	}
	return 0
}

type ResponseCommand struct {
	Message              string   `protobuf:"bytes,1,opt,name=Message,proto3" json:"Message,omitempty"`
	Status               string   `protobuf:"bytes,2,opt,name=Status,proto3" json:"Status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ResponseCommand) Reset()         { *m = ResponseCommand{} }
func (m *ResponseCommand) String() string { return proto.CompactTextString(m) }
func (*ResponseCommand) ProtoMessage()    {}
func (*ResponseCommand) Descriptor() ([]byte, []int) {
	return fileDescriptor_6228afc56cb3da4c, []int{1}
}

func (m *ResponseCommand) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ResponseCommand.Unmarshal(m, b)
}
func (m *ResponseCommand) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ResponseCommand.Marshal(b, m, deterministic)
}
func (m *ResponseCommand) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ResponseCommand.Merge(m, src)
}
func (m *ResponseCommand) XXX_Size() int {
	return xxx_messageInfo_ResponseCommand.Size(m)
}
func (m *ResponseCommand) XXX_DiscardUnknown() {
	xxx_messageInfo_ResponseCommand.DiscardUnknown(m)
}

var xxx_messageInfo_ResponseCommand proto.InternalMessageInfo

func (m *ResponseCommand) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *ResponseCommand) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type BlockchainRequest struct {
	HashSmith            string   `protobuf:"bytes,1,opt,name=HashSmith,proto3" json:"HashSmith,omitempty"`
	MyAddress            string   `protobuf:"bytes,2,opt,name=MyAddress,proto3" json:"MyAddress,omitempty"`
	Signature            string   `protobuf:"bytes,3,opt,name=Signature,proto3" json:"Signature,omitempty"`
	Blocks               string   `protobuf:"bytes,4,opt,name=Blocks,proto3" json:"Blocks,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BlockchainRequest) Reset()         { *m = BlockchainRequest{} }
func (m *BlockchainRequest) String() string { return proto.CompactTextString(m) }
func (*BlockchainRequest) ProtoMessage()    {}
func (*BlockchainRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_6228afc56cb3da4c, []int{2}
}

func (m *BlockchainRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BlockchainRequest.Unmarshal(m, b)
}
func (m *BlockchainRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BlockchainRequest.Marshal(b, m, deterministic)
}
func (m *BlockchainRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BlockchainRequest.Merge(m, src)
}
func (m *BlockchainRequest) XXX_Size() int {
	return xxx_messageInfo_BlockchainRequest.Size(m)
}
func (m *BlockchainRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_BlockchainRequest.DiscardUnknown(m)
}

var xxx_messageInfo_BlockchainRequest proto.InternalMessageInfo

func (m *BlockchainRequest) GetHashSmith() string {
	if m != nil {
		return m.HashSmith
	}
	return ""
}

func (m *BlockchainRequest) GetMyAddress() string {
	if m != nil {
		return m.MyAddress
	}
	return ""
}

func (m *BlockchainRequest) GetSignature() string {
	if m != nil {
		return m.Signature
	}
	return ""
}

func (m *BlockchainRequest) GetBlocks() string {
	if m != nil {
		return m.Blocks
	}
	return ""
}

type BlockchainResponse struct {
	Status               string   `protobuf:"bytes,1,opt,name=Status,proto3" json:"Status,omitempty"`
	Message              string   `protobuf:"bytes,2,opt,name=Message,proto3" json:"Message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BlockchainResponse) Reset()         { *m = BlockchainResponse{} }
func (m *BlockchainResponse) String() string { return proto.CompactTextString(m) }
func (*BlockchainResponse) ProtoMessage()    {}
func (*BlockchainResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_6228afc56cb3da4c, []int{3}
}

func (m *BlockchainResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BlockchainResponse.Unmarshal(m, b)
}
func (m *BlockchainResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BlockchainResponse.Marshal(b, m, deterministic)
}
func (m *BlockchainResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BlockchainResponse.Merge(m, src)
}
func (m *BlockchainResponse) XXX_Size() int {
	return xxx_messageInfo_BlockchainResponse.Size(m)
}
func (m *BlockchainResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_BlockchainResponse.DiscardUnknown(m)
}

var xxx_messageInfo_BlockchainResponse proto.InternalMessageInfo

func (m *BlockchainResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *BlockchainResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func init() {
	proto.RegisterType((*RegisterNodeRequest)(nil), "RegisterNodeRequest")
	proto.RegisterType((*ResponseCommand)(nil), "ResponseCommand")
	proto.RegisterType((*BlockchainRequest)(nil), "BlockchainRequest")
	proto.RegisterType((*BlockchainResponse)(nil), "BlockchainResponse")
}

func init() {
	proto.RegisterFile("blockchain_command.proto", fileDescriptor_6228afc56cb3da4c)
}

var fileDescriptor_6228afc56cb3da4c = []byte{
	// 312 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x6c, 0x92, 0x4f, 0x4b, 0xf3, 0x40,
	0x10, 0xc6, 0xbb, 0x7d, 0x43, 0x5f, 0x3a, 0x88, 0x7f, 0xb6, 0x22, 0x4b, 0xf1, 0x50, 0xf6, 0xd4,
	0x53, 0x0e, 0x7a, 0x11, 0x3c, 0xd9, 0x88, 0xb4, 0x87, 0x16, 0xd9, 0x1e, 0x04, 0x2f, 0xb2, 0x6d,
	0x86, 0x26, 0x68, 0xb2, 0x71, 0x77, 0x83, 0xf8, 0x01, 0x3c, 0xf9, 0xa5, 0x65, 0x37, 0x89, 0x89,
	0xd6, 0xdb, 0x3e, 0xcf, 0x84, 0x67, 0x7e, 0x33, 0x13, 0x60, 0x9b, 0x17, 0xb5, 0x7d, 0xde, 0x26,
	0x32, 0xcd, 0x9f, 0xb6, 0x2a, 0xcb, 0x64, 0x1e, 0x87, 0x85, 0x56, 0x56, 0xf1, 0x07, 0x18, 0x09,
	0xdc, 0xa5, 0xc6, 0xa2, 0x5e, 0xa9, 0x18, 0x05, 0xbe, 0x96, 0x68, 0x2c, 0x65, 0xf0, 0x3f, 0x72,
	0x5f, 0x2f, 0x6e, 0x19, 0x99, 0x90, 0xe9, 0x50, 0x34, 0x92, 0x52, 0x08, 0xe6, 0xca, 0x58, 0xd6,
	0xf7, 0xb6, 0x7f, 0x3b, 0xef, 0x5e, 0x69, 0xcb, 0xfe, 0x4d, 0xc8, 0x34, 0x10, 0xfe, 0xcd, 0x23,
	0x38, 0x12, 0x68, 0x0a, 0x95, 0x1b, 0x8c, 0xaa, 0x8e, 0x2e, 0x74, 0x89, 0xc6, 0xc8, 0x1d, 0x36,
	0xa1, 0xb5, 0xa4, 0x67, 0x30, 0x58, 0x5b, 0x69, 0x4b, 0x53, 0xc7, 0xd6, 0x8a, 0x7f, 0x10, 0x38,
	0x99, 0x7d, 0xa3, 0x37, 0x70, 0xe7, 0x30, 0x9c, 0x4b, 0x93, 0xac, 0xb3, 0xd4, 0x26, 0x75, 0x52,
	0x6b, 0xb8, 0xea, 0xf2, 0xfd, 0x26, 0x8e, 0x35, 0x9a, 0x26, 0xae, 0x35, 0x5c, 0x75, 0x9d, 0xee,
	0x72, 0x69, 0x4b, 0x8d, 0x9e, 0x77, 0x28, 0x5a, 0xc3, 0x71, 0xf8, 0x76, 0x86, 0x05, 0x15, 0x47,
	0xa5, 0xf8, 0x1d, 0xd0, 0x2e, 0x46, 0x35, 0x56, 0x87, 0x9a, 0x74, 0xa9, 0xbb, 0x73, 0xf6, 0x7f,
	0xcc, 0x79, 0xf1, 0x49, 0x80, 0x2e, 0xda, 0xa4, 0x66, 0x31, 0x57, 0x70, 0xd0, 0x3d, 0x02, 0x3d,
	0x0d, 0xff, 0xb8, 0xc9, 0xf8, 0x38, 0xfc, 0xb5, 0x50, 0xde, 0xa3, 0xd7, 0x70, 0x18, 0x69, 0x94,
	0x16, 0x57, 0xf8, 0xe6, 0x73, 0x29, 0x0d, 0xf7, 0x16, 0x36, 0x1e, 0x85, 0xfb, 0xf4, 0xbc, 0x37,
	0x0b, 0x1e, 0xfb, 0xc5, 0x66, 0x33, 0xf0, 0x3f, 0xc2, 0xe5, 0x57, 0x00, 0x00, 0x00, 0xff, 0xff,
	0xfb, 0x88, 0xfe, 0xf6, 0x24, 0x02, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// IBlockchainCommandClient is the client API for IBlockchainCommand service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type IBlockchainCommandClient interface {
	RegisterNode(ctx context.Context, in *RegisterNodeRequest, opts ...grpc.CallOption) (*ResponseCommand, error)
	CreateNewBlock(ctx context.Context, in *BlockchainRequest, opts ...grpc.CallOption) (*BlockchainResponse, error)
}

type iBlockchainCommandClient struct {
	cc grpc.ClientConnInterface
}

func NewIBlockchainCommandClient(cc grpc.ClientConnInterface) IBlockchainCommandClient {
	return &iBlockchainCommandClient{cc}
}

func (c *iBlockchainCommandClient) RegisterNode(ctx context.Context, in *RegisterNodeRequest, opts ...grpc.CallOption) (*ResponseCommand, error) {
	out := new(ResponseCommand)
	err := c.cc.Invoke(ctx, "/IBlockchainCommand/RegisterNode", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iBlockchainCommandClient) CreateNewBlock(ctx context.Context, in *BlockchainRequest, opts ...grpc.CallOption) (*BlockchainResponse, error) {
	out := new(BlockchainResponse)
	err := c.cc.Invoke(ctx, "/IBlockchainCommand/CreateNewBlock", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IBlockchainCommandServer is the server API for IBlockchainCommand service.
type IBlockchainCommandServer interface {
	RegisterNode(context.Context, *RegisterNodeRequest) (*ResponseCommand, error)
	CreateNewBlock(context.Context, *BlockchainRequest) (*BlockchainResponse, error)
}

// UnimplementedIBlockchainCommandServer can be embedded to have forward compatible implementations.
type UnimplementedIBlockchainCommandServer struct {
}

func (*UnimplementedIBlockchainCommandServer) RegisterNode(ctx context.Context, req *RegisterNodeRequest) (*ResponseCommand, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RegisterNode not implemented")
}
func (*UnimplementedIBlockchainCommandServer) CreateNewBlock(ctx context.Context, req *BlockchainRequest) (*BlockchainResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateNewBlock not implemented")
}

func RegisterIBlockchainCommandServer(s *grpc.Server, srv IBlockchainCommandServer) {
	s.RegisterService(&_IBlockchainCommand_serviceDesc, srv)
}

func _IBlockchainCommand_RegisterNode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(RegisterNodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IBlockchainCommandServer).RegisterNode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IBlockchainCommand/RegisterNode",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IBlockchainCommandServer).RegisterNode(ctx, req.(*RegisterNodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IBlockchainCommand_CreateNewBlock_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(BlockchainRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IBlockchainCommandServer).CreateNewBlock(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IBlockchainCommand/CreateNewBlock",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IBlockchainCommandServer).CreateNewBlock(ctx, req.(*BlockchainRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _IBlockchainCommand_serviceDesc = grpc.ServiceDesc{
	ServiceName: "IBlockchainCommand",
	HandlerType: (*IBlockchainCommandServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "RegisterNode",
			Handler:    _IBlockchainCommand_RegisterNode_Handler,
		},
		{
			MethodName: "CreateNewBlock",
			Handler:    _IBlockchainCommand_CreateNewBlock_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "blockchain_command.proto",
}
